﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Runtime.InteropServices;


/*
namespace Foxit
{
    // Class for calling DemoContour.DLL
    public class DemoContour
    {
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetHDC(int hDC);
    }
}
*/

namespace DemoGridding
{
    // Class for calling DemoContour.DLL
    public class Contour
    {
        [DllImport("Contour")]
        public static extern int ContourCalculateIsolines(int i, out double d);
        [DllImport("Contour")]
        public static extern int ContourSetGrid(int nX, int nY, out double aX, out double aY, out double aV);
        [DllImport("Contour")]
        public static extern int ContourSetGridEx(int nX, int nY, out double aX, out double aY, out double aV, out int aT);
        [DllImport("Contour")]
        public static extern int ContourDelete();
        [DllImport("Contour")]
        public static extern int ContourCreate();
        [DllImport("Contour")]
        public static extern int ContourIsolinesCount();
        [DllImport("Contour")]
        public static extern int ContourLinesCount(int nL);
        [DllImport("Contour")]
        public static extern int ContourPointsCount(int nL, int nL1);
        [DllImport("Contour")]
        public static extern int ContourGetPoint(int nL, int nL1, int nL2, out double d, out double a);
        [DllImport("Contour")]
        public static extern int ContourGridGetMinMax(out double dMin, out double dMax);
        [DllImport("Contour")]
        public static extern int ContourGetIsolinePoints(int nIsoloine, int nLine, out double dCoordX, out double dCoordY);
    }

    public class DemoContour
    {
        [DllImport("DemoContour")]
        public static extern int DemoContourCreate();
        [DllImport("DemoContour")]
        public static extern int DemoContourDelete();
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetHDC(IntPtr hDC);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetLimits(double dXmin, double dYmin, double dXmax, double dYmax);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetLabelValue(double dValue);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasDrawContour(int nCount, out double dX, out double dY);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetSize(int nWidth, int nHeight);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetFontHeight(int nHeight);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetFontFaceName(string sName);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasSetXYRate(int nXYRate);
        [DllImport("DemoContour")]
        public static extern double DemoContourCanvasCoordinateX(int lPixelX);
        [DllImport("DemoContour")]
        public static extern double DemoContourCanvasCoordinateY(int lPixelY);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasPixelX(out double dX);
        [DllImport("DemoContour")]
        public static extern int DemoContourCanvasPixelY(out double dY);
        [DllImport("DemoContour")]
        public static extern int DemoContourLabelSetTransparent(int nCode);

        [DllImport("DemoContour")]
        public static extern int DemoContourAxisAdd(string sAxeType);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisDraw();
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetTitle(int nAxe, string sAxeType);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetFontFaceName(int nAxe, string sFontName);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetFontHeight(int nAxe, int nFontHeight);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetintTick(int nAxe, int nYes);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetAutoTicks(int nAxe, int nYes);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetTicks(int nAxe, double dFirst, double dStep, int nCount);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetAutoDecimalPlace(int nAxe, int nYes);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSetDecimalPlace(int nAxe, int nPlace);
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisCalculate();
        [DllImport("DemoContour")]
        public static extern int DemoContourAxisSimpleDraw();
    }

    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }

    }
}